# Uses of Interface
javax.swing.tree.TreeCellRenderer

Packages that use TreeCellRenderer
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.tree
Provides classes and interfaces for dealing with `javax.swing.JTree`.

## Uses of TreeCellRenderer in javax.swing

Fields in javax.swing declared as TreeCellRenderer
Modifier and Type
Field
Description
`protected TreeCellRenderer`
JTree.`cellRenderer`
The cell used to draw nodes.
Methods in javax.swing that return TreeCellRenderer
Modifier and Type
Method
Description
`TreeCellRenderer`
JTree.`getCellRenderer()`
Returns the current `TreeCellRenderer` that is rendering each cell.
Methods in javax.swing with parameters of type TreeCellRenderer
Modifier and Type
Method
Description
`void`
JTree.`setCellRenderer(TreeCellRenderer x)`
Sets the `TreeCellRenderer` that will be used to draw each cell.

## Uses of TreeCellRenderer in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as TreeCellRenderer
Modifier and Type
Field
Description
`protected TreeCellRenderer`
BasicTreeUI.`currentCellRenderer`
Renderer that is being used to do the actual cell drawing.
Methods in javax.swing.plaf.basic that return TreeCellRenderer
Modifier and Type
Method
Description
`protected TreeCellRenderer`
BasicTreeUI.`createDefaultCellRenderer()`
Returns the default cell renderer that is used to do the stamping of each node.
`protected TreeCellRenderer`
BasicTreeUI.`getCellRenderer()`
Returns the current instance of the `TreeCellRenderer` that is rendering each cell.
Methods in javax.swing.plaf.basic with parameters of type TreeCellRenderer
Modifier and Type
Method
Description
`protected void`
BasicTreeUI.`setCellRenderer(TreeCellRenderer tcr)`
Sets the `TreeCellRenderer` to `tcr`.

## Uses of TreeCellRenderer in javax.swing.tree

Classes in javax.swing.tree that implement TreeCellRenderer
Modifier and Type
Class
Description
`class`
`DefaultTreeCellRenderer`
Displays an entry in a tree.